/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.application;


/**
 * @author <a href="mailto:droden@gmail.com">David Roden</a>
 * @version $Id:UploadFile.java 220 2006-03-06 14:46:23Z bombe $
 */
public class UploadFile extends FreenetFile {

	private boolean inserted;
	private boolean[] blockInserted;

	/**
	 * 
	 */
	public UploadFile() {
		super();
	}

	/**
	 * @param freenetFile
	 */
	public UploadFile(FreenetFile freenetFile) {
		super(freenetFile);
		if (freenetFile instanceof UploadFile) {
			UploadFile uploadFile = (UploadFile) freenetFile;
			inserted = uploadFile.inserted;
			System.arraycopy(uploadFile.blockInserted, 0, blockInserted, 0, getBlockCount());
		}
	}

	public void setInserted(boolean inserted) {
		this.inserted = inserted;
	}

	public boolean isInserted() {
		return inserted;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public synchronized void setLength(long length) {
		super.setLength(length);
		blockInserted = new boolean[getBlockCount()];
	}

	public synchronized void setBlockInserted(int blockNumber, boolean inserted) {
		blockInserted[blockNumber] = inserted;
	}

	public synchronized boolean getBlockInserted(int blockNumber) {
		return blockInserted[blockNumber];
	}

}
