/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.gui;

import java.awt.BorderLayout;

import javax.swing.Box;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import de.todesbaum.freemule.application.FreenetFile;


/**
 * @author <a href="mailto:droden@gmail.com">David Roden</a>
 * @version $Id: DownloadFilesPropertiesDialog.java,v 1.2 2005/12/01 15:42:15
 *          bombe Exp $
 */
public class DownloadFilesPropertiesDialog extends OkayCancelDialog {

	private FreenetFile download;

	/**
	 * 
	 */
	public DownloadFilesPropertiesDialog(JFrame mainFrame, FreenetFile download) {
		super(mainFrame, "Properties for " + download.getName());
		this.download = download;

		initializeComponents();
		pack();
	}

	private void initializeComponents() {
		JPanel contentPane = new JPanel(new BorderLayout(5, 5));
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));

		Box panelLines = Box.createVerticalBox();
		JPanel firstLine = new JPanel(new BorderLayout(5, 5));
		firstLine.add(new JLabel("Temporary File"), BorderLayout.LINE_START);
		firstLine.add(new JLabel("<html><b>" + download.getDataFilename() + ".data</b></html>"), BorderLayout.CENTER);

		contentPane.add(panelLines, BorderLayout.PAGE_START);
		panelLines.add(firstLine);
		panelLines.add(Box.createVerticalStrut(5));

		setContentPane(contentPane);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	protected void okayAction() {
		setVisible(false);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	protected void cancelAction() {
		setVisible(false);
	}

}
