/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.gui;

import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;


/**
 * @author David Roden &lt;droden@gmail.com&gt;
 * @version $Id:StatusPanel.java 221 2006-03-06 14:46:49Z bombe $
 */
public class StatusPanel extends JPanel {
	
	private JLabel statusFreeMuleLabel;
	private JLabel statusAnnouncementLabel;
	private JLabel statusFilelistInsertLabel;
	private JLabel statusUploadRequestInsertLabel;
	
	public StatusPanel(JFrame mainFrame) {
		initialize();
	}
	
	public void setFreeMuleStatus(String status, String color) {
		setLabel(statusFreeMuleLabel, "FreeMule", status, color);
	}
	
	public void setAnnouncementStatus(String status, String color) {
		setLabel(statusAnnouncementLabel, "Announcement", status, color);
	}
	
	public void setFilelistInsertStatus(String status, String color) {
		setLabel(statusFilelistInsertLabel, "Filelist Insert", status, color);
	}
	
	public void setUploadRequestInsertStatus(String status, String color) {
		setLabel(statusUploadRequestInsertLabel, "Upload Request Insert", status, color);
	}
	
	private void setLabel(JLabel label, String prefix, String message, String color) {
		label.setText("<html>" + prefix + ": " + ((color != null) ? "<span color=\"" + color + "\">" : "") + message + ((color != null) ? "</span>" : "") + "</html>");
	}
	
	private void initialize() {
		setLayout(new LineLayout(12));
		setBorder(new EmptyBorder(12, 12, 12, 12));
		
		JPanel statusPanel = new JPanel(new LineLayout(6));
		add(statusPanel);
		JLabel statusLabel = new JLabel("Status");
		statusPanel.add(statusLabel);
		statusPanel.add(statusFreeMuleLabel = createLabel());
		statusPanel.add(statusAnnouncementLabel = createLabel());
		statusPanel.add(statusFilelistInsertLabel = createLabel());
		statusPanel.add(statusUploadRequestInsertLabel = createLabel());
	}
	
	private JLabel createLabel() {
		JLabel resultLabel = new JLabel();
		resultLabel.setFont(resultLabel.getFont().deriveFont(Font.PLAIN));
		resultLabel.setBorder(new EmptyBorder(0, 24, 0, 0));
		return resultLabel;
	}

}
