/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.servlet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * @author David Roden &lt;droden@gmail.com&gt;
 * @version $Id$
 */
public class FreeMuleServlet extends HttpServlet {

	/**
	 * {@inheritDoc}
	 */
	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String templateName = "simple";
		if (getServletContext().getAttribute("template-name") != null) {
			templateName = (String) getServletContext().getAttribute("template-name");
		}
		String requestURI = request.getRequestURI();
		if (requestURI.equals("/")) {
			requestURI = "/index.html";
		}
		String resourceName = "/template/" + templateName + requestURI;
		InputStream resourceInput = getClass().getClassLoader().getResourceAsStream(resourceName);
		ByteArrayOutputStream resourceBytes = new ByteArrayOutputStream();
		int r = 0;
		while (r != -1) {
			byte[] buffer = new byte[256 * 1024];
			r = resourceInput.read(buffer);
			if (r != -1) {
				resourceBytes.write(buffer, 0, r);
			}
		}
		resourceInput.close();
		resourceBytes.close();
		byte[] resource = resourceBytes.toByteArray();
		response.getOutputStream().write(resource);
	}
	
}
