/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.util;

import java.io.ByteArrayInputStream;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;

import junit.framework.TestCase;


/**
 * @author David Roden &lt;droden@gmail.com&gt;
 * @version $Id$
 */
public class SimpleXMLTest extends TestCase {

	private String testXmlString;
	private byte[] testByteArray;
	private Document testDocument;
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	protected void setUp() throws Exception {
		super.setUp();
		testXmlString = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" +
				"<xml-test>" +
				"<element>" +
				"<other-element>value" +
				"</other-element>" +
				"<more>" +
				"<even-more>4711</even-more>" +
				"</more>" +
				"</element>" +
				"</xml-test>";
		testByteArray = testXmlString.getBytes();
		DocumentBuilder documentBuilder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
		testDocument = documentBuilder.parse(new ByteArrayInputStream(testByteArray));
	}
	
	/*
	 * Test method for 'freemule.util.SimpleXML.fromDocument(Document)'
	 */
	public void testFromDocument() {
		SimpleXML documentXML = SimpleXML.fromDocument(testDocument);
		assertEquals("document element name", "xml-test", documentXML.getName());
		assertEquals("contained element", "element", documentXML.getNode("element").getName());
		assertEquals("element count", 1, documentXML.getNodes().length);
		assertEquals("element count 2", 2, documentXML.getNode("element").getNodes().length);
	}

}
